Bug 87905 - Different background color for Master Slide view
Summary: Different background color for Master Slide view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Katarina Behrens (CIB)
QA Contact: Adolfo Jayme
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Master-Slide-View
  Show dependency treegraph
 
Reported: 2014-12-31 13:30 UTC by Yousuf Philips (jay)
Modified: 2017-06-18 21:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
master slides in google docs (58.97 KB, image/png)
2014-12-31 13:30 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-31 13:30:05 UTC
Created attachment 111576 [details]
master slides in google docs

There isnt much that distinguishes normal view from master slide view, so it would be ideal to change the color behind slide to another color to easily represent this difference.

Google Docs does it with black and iWork Keynote does it with blue.
Comment 1 Cor Nouws 2014-12-31 14:01:13 UTC
Ah well, pls no black but for the rest: fine for me.
Comment 2 A (Andy) 2014-12-31 14:46:47 UTC
For me also please no black, but to have another nice colour in the master view to distinguish between it and the normal view would from my point of view be a nice proposal.

@Jay: Did you have a colour proposal in mind?
Comment 3 Yousuf Philips (jay) 2014-12-31 18:08:17 UTC
Google Docs and iWork Keynote also change the background color in the slide pane to further emphasis it.

(In reply to A (Andy) from comment #2)
> @Jay: Did you have a colour proposal in mind?

@Andy: Nope i didnt. Currently the default is Gray 1, so maybe Gray 5.
Comment 4 Adolfo Jayme 2015-01-05 18:07:43 UTC
My proposal for the background color: take the current, and darken it by 35%.

That way we will always have a matching hue, remember that the background color varies among platforms.
Comment 5 Yousuf Philips (jay) 2015-01-05 21:25:26 UTC
(In reply to Adolfo Jayme from comment #4)
> My proposal for the background color: take the current, and darken it by 35%.

Sounds like a good plan, as my suggestion was to darken it by 33% with Gray 1 to Gray 5. ;D
Comment 6 Commit Notification 2015-06-26 09:57:27 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c481fe6522f4c7d883e77a4ac32f855b9bcb323

tdf#87905: Use darker background colour for master view

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.